# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/perl perl(FileHandle.pm)
# END SourceDeps(oneline)
BuildRequires: chrpath
Name:           eb
Version:        4.4.1
Release:        alt1_6
Summary:        Library for accessing Japanese CD-ROM electronic books
Summary(ja):    CD-ROM 書籍にアクセスするためのライブラリ

Group:          System/Libraries
License:        BSD
URL:            http://www.sra.co.jp/people/m-kasahr/eb/
Source0:        ftp://ftp.sra.co.jp/pub/misc/eb/%{name}-%{version}.tar.bz2
Patch1:         eb-aclocal-conf-libdir.patch

BuildRequires:  zlib-devel
Source44: import.info

%description
EB Library is a C library for accessing CD-ROM books.  
EB Library supports to access CD-ROM books of 
EB, EBG, EBXA, EBXA-C, S-EBXA and EPWING formats.  

%description -l ja
EB ライブラリは CD-ROM 書籍にアクセスするための C のライブラリです。
EB, EBG, EBXA, EBXA-C, S-EBXA および EPWING 形式の 
CD-ROM 書籍に対応しています。


%package devel
Summary:        Development files for eb
Group:          Development/C
Requires:       eb = %{version}

%description devel
This package contains development files needs to use eb in programs.


%prep
%setup -q
%patch1 -p1 -b .1-etc~


%build
%configure --disable-static --sysconfdir=%{_libdir}
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/libeb.la

rm -rf tmp
mkdir -p tmp
mv $RPM_BUILD_ROOT%{_datadir}/eb/doc tmp/html

%find_lang %{name}
%find_lang %{name}utils
cat %{name}utils.lang >> %{name}.lang
# kill rpath
for i in `find %buildroot{%_bindir,%_libdir,/usr/libexec,/usr/lib,/usr/sbin} -type f -perm -111`; do
	chrpath -d $i ||:
done


%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README
%{_bindir}/*
%{_libdir}/libeb.so.*
%{_datadir}/eb


%files devel
%doc tmp/html
%{_includedir}/eb
%{_libdir}/eb.conf
%{_libdir}/libeb.so
%{_datadir}/aclocal/*


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 4.4.1-alt1_6
- update to new release by fcimport

* Thu Dec 20 2012 Igor Vlasenko <viy@altlinux.ru> 4.4.1-alt1_5
- fc import

